## gnuplot-iostream 0~20140302.gitc8919a0%2Bdfsg

=== legacy/Makefile ===
CXXFLAGS+=-Wall -Wextra -I.. -O0 -g
# Don't warn about the fact that we use the deprecated send() function.
CXXFLAGS+=-Wno-deprecated-declarations
LDFLAGS+=-lutil -lboost_iostreams -lboost_system -lboost_filesystem

EVERYTHING=examples examples-blitz examples-interactive

all: examples
	@echo "Now type 'make blitz' if you have blitz installed, and 'make interactive' if you system has PTY support."

blitz: examples-blitz

interactive: examples-interactive

everything: $(EVERYTHING)

%.o: %.cc gnuplot-iostream.h
	$(CXX) $(CXXFLAGS) -c $< -o $@

examples: examples.o
	$(CXX) -o $@ $^ $(LDFLAGS)

examples-blitz: examples-blitz.o
	$(CXX) -o $@ $^ $(LDFLAGS)

examples-interactive: examples-interactive.o
	$(CXX) -o $@ $^ $(LDFLAGS)

clean:
	rm -f *.o
	rm -f *.error.txt
	rm -f examples examples-blitz examples-interactive
	# Windows compilation
	rm -f *.exe *.obj
	# files created by demo scripts
	rm -f my_graph_*.png external_binary.dat external_binary.gnu external_text.dat external_text.gnu inline_binary.gnu inline_text.gnu

## gnuplot-iostream 0~20120508.git5719ce8

=== debian/changelog ===
gnuplot-iostream (0~20120508.git5719ce8-1) unstable; urgency=low

  * Initial packaging. (Closes: #691272)
  
 -- Anton Gladky <gladk@debian.org>  Wed, 27 Feb 2013 19:34:30 +0100

=== debian/control ===
Source: gnuplot-iostream
Section: libdevel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), cmake, libboost-iostreams-dev, 
 libboost-system-dev, libboost-filesystem-dev
Homepage: http://www.stahlke.org/dan/gnuplot-iostream/
Vcs-Git: git://git.debian.org/git/debian-science/packages/gnuplot-iostream.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gnuplot-iostream.git

Package: libgnuplot-iostream-dev
Architecture: all
Depends: gnuplot, libboost-iostreams-dev, libboost-system-dev, 
 libboost-filesystem-dev, ${misc:Depends}
Suggests: gnuplot-iostream-doc
Description: C++ programming interface for gnuplot. Headers
 This interface allows gnuplot to be controlled from C++ and is designed to be
 the lowest hanging fruit. In other words, if you know how gnuplot works it
 should only take 30 seconds to learn this library. Basically it is just an
 iostream pipe to gnuplot with some extra functions for pushing data arrays and
 getting mouse clicks. Data sources include STL containers (eg. vector or map)
 and one or two dimensional Blitz++ arrays (of scalars or TinyVectors). Support
 for other data sources should be easy to add.
 .
 Basically there are two functions defined: send() sends arrays of data values
 (it is overloaded to do the right thing based upon what type of variable you
 pass) and getMouse() gets the position of a mouse click. Everything else is
 accomplished by sending commands manually to gnuplot via the iostream
 interface.

Package: libgnuplot-iostream-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: cmake, gnuplot-iostream, libblitz0-dev
Description: C++ programming interface for gnuplot. Docs and examples
 This interface allows gnuplot to be controlled from C++ and is designed to be
 the lowest hanging fruit. In other words, if you know how gnuplot works it
 should only take 30 seconds to learn this library. Basically it is just an
 iostream pipe to gnuplot with some extra functions for pushing data arrays and
 getting mouse clicks. Data sources include STL containers (eg. vector or map)
 and one or two dimensional Blitz++ arrays (of scalars or TinyVectors). Support
 for other data sources should be easy to add.
 .
 Basically there are two functions defined: send() sends arrays of data values
 (it is overloaded to do the right thing based upon what type of variable you
 pass) and getMouse() gets the position of a mouse click. Everything else is
 accomplished by sending commands manually to gnuplot via the iostream

## gnuplot-iostream 0~20130424.gita9d3e31

=== debian/changelog ===
gnuplot-iostream (0~20130424.gita9d3e31-1) unstable; urgency=low

  * [10be64a] Imported Upstream version 0~20130424.gita9d3e31
  * [4454719] Enable some more tests.
  * [d88265b] Add blitz, armadillo to BD to enable some more tests.
  * [0603e0a] Minor update in rules and install files.

 -- Anton Gladky <gladk@debian.org>  Wed, 08 May 2013 21:09:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), cmake, libboost-iostreams-dev, 
- libboost-system-dev, libboost-filesystem-dev
+Build-Depends: debhelper (>= 9), libboost-iostreams-dev, gnuplot,
+ libboost-system-dev, libboost-filesystem-dev, libblitz-dev, libarmadillo-dev
 Homepage: http://www.stahlke.org/dan/gnuplot-iostream/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/gnuplot-iostream.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gnuplot-iostream.git

## gnuplot-iostream 0~20130604.gitdd47c7a

=== debian/changelog ===
gnuplot-iostream (0~20130604.gitdd47c7a-1) unstable; urgency=low

  * [642dade] Imported Upstream version 0~20130604.gitdd47c7a
  * [b34ffd5] Enable all tests again.

 -- Anton Gladky <gladk@debian.org>  Wed, 05 Jun 2013 08:32:47 +0200

gnuplot-iostream (0~20130424.gita9d3e31-2) unstable; urgency=low

  * [2f5f4ac] Disable 1 arma-test, because it fails. Upstream is notified. 
              (Closes: #710620)
  * [c4d37e1] Use canonical VCS-field.

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Jun 2013 20:31:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9), libboost-iostreams-dev, gnuplot,
  libboost-system-dev, libboost-filesystem-dev, libblitz-dev, libarmadillo-dev
 Homepage: http://www.stahlke.org/dan/gnuplot-iostream/
-Vcs-Git: git://git.debian.org/git/debian-science/packages/gnuplot-iostream.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gnuplot-iostream.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot-iostream.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot-iostream.git
 
 Package: libgnuplot-iostream-dev
 Architecture: all

## gnuplot-iostream 0~20140302.gitc8919a0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,27 @@
 Source: gnuplot-iostream
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Anton Gladky <gladk@debian.org>
 Section: libdevel
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), libboost-iostreams-dev, gnuplot,
- libboost-system-dev, libboost-filesystem-dev, libblitz-dev, libarmadillo-dev
+Build-Depends: debhelper (>= 12~),
+               gnuplot,
+               libarmadillo-dev,
+               libboost-filesystem-dev,
+               libboost-iostreams-dev,
+               libboost-system-dev
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/gnuplot-iostream
+Vcs-Git: https://salsa.debian.org/science-team/gnuplot-iostream.git
 Homepage: http://www.stahlke.org/dan/gnuplot-iostream/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot-iostream.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot-iostream.git
 
 Package: libgnuplot-iostream-dev
 Architecture: all
-Depends: gnuplot, libboost-iostreams-dev, libboost-system-dev, 
- libboost-filesystem-dev, ${misc:Depends}
-Suggests: gnuplot-iostream-doc
+Depends: gnuplot,
+         libboost-filesystem-dev,
+         libboost-iostreams-dev,
+         libboost-system-dev,
+         ${misc:Depends}
+Suggests: libgnuplot-iostream-doc
 Description: C++ programming interface for gnuplot. Headers
  This interface allows gnuplot to be controlled from C++ and is designed to be
  the lowest hanging fruit. In other words, if you know how gnuplot works it
@@ -34,7 +41,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: cmake, gnuplot-iostream, libblitz0-dev
+Suggests: cmake,
+          gnuplot-iostream
 Description: C++ programming interface for gnuplot. Docs and examples
  This interface allows gnuplot to be controlled from C++ and is designed to be
  the lowest hanging fruit. In other words, if you know how gnuplot works it

## gnuplot-iostream 0~20140302.gitc8919a0+dfsg

=== Makefile ===
# Copyright (c) 2013 Daniel Stahlke
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

###########################################################################
# This Makefile is just for the demos and unit tests.  You don't need to compile
# anything to install this package.  Just copy the gnuplot-iostream.h header
# somewhere and you are good to go.
###########################################################################

# The -O0 option speeds up the compile, which is good for testing.  This should
# never be used for production since the generated code is extremely slow!
CXXFLAGS+=-Wall -Wextra -O0 -g
LDFLAGS+=-lutil -lboost_iostreams -lboost_system -lboost_filesystem

# This makes the examples and tests more complete, but only works if you have the corresponding
# libraries installed.
#CXXFLAGS+=--std=c++11 -DUSE_ARMA=1 -DUSE_BLITZ=1

ALL_EXAMPLES=example-misc example-data-1d example-data-2d example-interactive
TEST_BINARIES=test-noncopyable test-outputs

all: $(ALL_EXAMPLES)

%.o: %.cc gnuplot-iostream.h
	$(CXX) $(CXXFLAGS) -c $< -o $@

example-misc: example-misc.o
	$(CXX) -o $@ $^ $(LDFLAGS)

example-data-1d: example-data-1d.o
	$(CXX) -o $@ $^ $(LDFLAGS)

example-data-2d: example-data-2d.o
	$(CXX) -o $@ $^ $(LDFLAGS)

example-interactive: example-interactive.o
	$(CXX) -o $@ $^ $(LDFLAGS)

test-noncopyable: test-noncopyable.o
	$(CXX) -o $@ $^ $(LDFLAGS)

test-outputs: test-outputs.o
	$(CXX) -o $@ $^ $(LDFLAGS)

test-asserts: test-assert-depth.error.txt test-assert-depth-colmajor.error.txt

%.error.txt: %.cc gnuplot-iostream.h
	# These are programs that are supposed to *not* compile.
	# The "!" causes "make" to throw an error if the compile succeeds.
	! $(CXX) $(CXXFLAGS) -c $< -o $<.o 2> $@
	grep -q 'container not deep enough\|boost::STATIC_ASSERTION_FAILURE' $@

test: $(TEST_BINARIES) test-asserts
	mkdir -p unittest-output
	rm -f unittest-output/*
	./test-outputs
	diff -qr unittest-output unittest-output-good

clean:
	rm -f *.o
	rm -f *.error.txt
	rm -f $(ALL_EXAMPLES) $(TEST_BINARIES)
	# Windows compilation
	rm -f *.exe *.obj
	# files created by demo scripts
	rm -f my_graph_*.png external_binary.dat external_binary.gnu external_text.dat external_text.gnu inline_binary.gnu inline_text.gnu

lint:
	cpplint.py --filter=-whitespace,-readability/streams,-build/header_guard gnuplot-iostream.h

cppcheck:
	cppcheck *.cc *.h --template gcc --enable=all -q

=== debian/changelog ===
gnuplot-iostream (0~20140302.gitc8919a0+dfsg-2) unstable; urgency=medium

  * [85d5c20] Use xvfb-run to run autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Mon, 08 Sep 2014 20:01:19 +0200

gnuplot-iostream (0~20140302.gitc8919a0+dfsg-1) unstable; urgency=medium

  * [7bd2e7d] Set Standards-Version: 3.9.5. No changes.
  * [0a8b6a3] Use wrap-and-sort.
  * [9366661] Update get-orig script.
  * [2f4decd] Add autopkgtest.
  * [737f6ec] Imported Upstream version 0~20140302.gitc8919a0+dfsg

 -- Anton Gladky <gladk@debian.org>  Sat, 06 Sep 2014 17:35:38 +0200

gnuplot-iostream (0~20130604.gitdd47c7a-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756705).

 -- Gilles Filippini <pini@debian.org>  Wed, 06 Aug 2014 19:39:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,33 @@
 Source: gnuplot-iostream
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper (>= 12~),
-               gnuplot,
-               libarmadillo-dev,
-               libboost-filesystem-dev,
-               libboost-iostreams-dev,
-               libboost-system-dev
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/science-team/gnuplot-iostream
-Vcs-Git: https://salsa.debian.org/science-team/gnuplot-iostream.git
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Anton Gladky <gladk@debian.org>
+Standards-Version: 3.9.5
+Build-Depends:
+ debhelper (>= 9),
+ gnuplot,
+ libarmadillo-dev,
+ libblitz-dev,
+ libboost-filesystem-dev,
+ libboost-iostreams-dev,
+ libboost-system-dev
 Homepage: http://www.stahlke.org/dan/gnuplot-iostream/
+XS-Testsuite: autopkgtest
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot-iostream.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot-iostream.git
 
 Package: libgnuplot-iostream-dev
 Architecture: all
-Depends: gnuplot,
-         libboost-filesystem-dev,
-         libboost-iostreams-dev,
-         libboost-system-dev,
-         ${misc:Depends}
-Suggests: libgnuplot-iostream-doc
+Depends:
+ gnuplot,
+ libboost-filesystem-dev,
+ libboost-iostreams-dev,
+ libboost-system-dev,
+ ${misc:Depends}
+Suggests:
+ gnuplot-iostream-doc
 Description: C++ programming interface for gnuplot. Headers
  This interface allows gnuplot to be controlled from C++ and is designed to be
  the lowest hanging fruit. In other words, if you know how gnuplot works it
@@ -40,9 +46,12 @@
 Package: libgnuplot-iostream-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
-Suggests: cmake,
-          gnuplot-iostream
+Depends:
+ ${misc:Depends}
+Suggests:
+ cmake,
+ gnuplot-iostream,
+ libblitz0-dev
 Description: C++ programming interface for gnuplot. Docs and examples
  This interface allows gnuplot to be controlled from C++ and is designed to be
  the lowest hanging fruit. In other words, if you know how gnuplot works it

=== debian/rules ===
#!/usr/bin/make -f

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  export DEB_CXXFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
endif

%:
	dh $@ --parallel

=== debian/tests/control ===
Tests: build1 build2
Depends: libgnuplot-iostream-dev, libboost-iostreams-dev, libboost-system-dev, libboost-filesystem-dev, build-essential, xvfb, xauth

## gnuplot-iostream 0~20251226.git05843bd3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
Project(GnuPlot_iostream)

if(POLICY CMP0167)
cmake_policy(SET CMP0167 NEW)
endif(POLICY CMP0167)

#options.
option(GnuPlotIostream_BuildTests "build gnuplot iostream tests" ON)
option(GnuPlotIostream_BuildExamples "build gnuplot iostream examples" ON)

# packages.
find_package(Boost REQUIRED COMPONENTS
    iostreams filesystem
)

# Target.
add_library(gnuplot_iostream INTERFACE)
target_include_directories(gnuplot_iostream INTERFACE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/>
    $<INSTALL_INTERFACE:>)
target_link_libraries(gnuplot_iostream INTERFACE
    Boost::iostreams
    Boost::filesystem
)

if(GnuPlotIostream_BuildTests)
  set(GnuPlotIostream_tests
    # These two are not supposed to compile.
    #test-assert-depth
    #test-assert-depth-colmajor
    test-empty
    test-noncopyable
    test-outputs
    )
  foreach(atest ${GnuPlotIostream_tests})
    add_executable(${atest} ${atest}.cc)
    target_compile_features(${atest} PRIVATE cxx_std_17)
    target_compile_options(${atest} PRIVATE -Wall -Wextra)
    target_link_libraries(${atest} PRIVATE
      gnuplot_iostream
      boost_iostreams
      boost_filesystem
      )
  endforeach()
endif()

if(GnuPlotIostream_BuildExamples)
  set(GnuPlotIostream_examples
    example-data-1d
    example-data-2d
    example-interactive
    example-misc
    )
  foreach(an_example ${GnuPlotIostream_examples})
    add_executable(${an_example} ${an_example}.cc)
    target_compile_features(${an_example} PRIVATE cxx_std_17)
    target_compile_options(${an_example} PRIVATE -Wall -Wextra)
    target_link_libraries(${an_example} PRIVATE 
      gnuplot_iostream
      util
      )
  endforeach()
endif()

=== Makefile ===
--- 
+++ 
@@ -26,56 +26,78 @@
 
 # The -O0 option speeds up the compile, which is good for testing.  This should
 # never be used for production since the generated code is extremely slow!
-CXXFLAGS+=-Wall -Wextra -O0 -g
-LDFLAGS+=-lutil -lboost_iostreams -lboost_system -lboost_filesystem
+CXXFLAGS+=--std=c++17 -Wall -Wextra -O0 -g -D_GLIBCXX_DEBUG
+CXXFLAGS+=-fdiagnostics-color=auto
+LDFLAGS+=-lutil -lboost_iostreams -lboost_filesystem
 
 # This makes the examples and tests more complete, but only works if you have the corresponding
 # libraries installed.
-#CXXFLAGS+=--std=c++11 -DUSE_ARMA=1 -DUSE_BLITZ=1
+#CXXFLAGS+=-DUSE_ARMA=1
+#CXXFLAGS+=-DUSE_BLITZ=1
+#CXXFLAGS+=-DUSE_EIGEN=1 -isystem /usr/include/eigen3
 
 ALL_EXAMPLES=example-misc example-data-1d example-data-2d example-interactive
-TEST_BINARIES=test-noncopyable test-outputs
+TEST_BINARIES=test-noncopyable test-outputs test-empty
+
+.DELETE_ON_ERROR:
 
 all: $(ALL_EXAMPLES)
 
 %.o: %.cc gnuplot-iostream.h
+	@echo Compiling $@
 	$(CXX) $(CXXFLAGS) -c $< -o $@
 
 example-misc: example-misc.o
+	@echo Linking $@
 	$(CXX) -o $@ $^ $(LDFLAGS)
 
 example-data-1d: example-data-1d.o
+	@echo Linking $@
 	$(CXX) -o $@ $^ $(LDFLAGS)
 
 example-data-2d: example-data-2d.o
+	@echo Linking $@
 	$(CXX) -o $@ $^ $(LDFLAGS)
 
 example-interactive: example-interactive.o
+	@echo Linking $@
 	$(CXX) -o $@ $^ $(LDFLAGS)
 
 test-noncopyable: test-noncopyable.o
+	@echo Linking $@
 	$(CXX) -o $@ $^ $(LDFLAGS)
 
 test-outputs: test-outputs.o
+	@echo Linking $@
 	$(CXX) -o $@ $^ $(LDFLAGS)
 
-test-asserts: test-assert-depth.error.txt test-assert-depth-colmajor.error.txt
+test-empty: test-empty.o
+	@echo Linking $@
+	$(CXX) -o $@ $^ $(LDFLAGS)
 
-%.error.txt: %.cc gnuplot-iostream.h
+test-asserts: unittest-errors/test-assert-depth.error.txt unittest-errors/test-assert-depth-colmajor.error.txt
+	@echo Running $@
+	diff -r unittest-errors-good unittest-errors
+
+unittest-errors/%.error.txt: %.cc gnuplot-iostream.h
+	@echo Generating $@
+	mkdir -p unittest-errors
 	# These are programs that are supposed to *not* compile.
 	# The "!" causes "make" to throw an error if the compile succeeds.
-	! $(CXX) $(CXXFLAGS) -c $< -o $<.o 2> $@
-	grep -q 'container not deep enough\|boost::STATIC_ASSERTION_FAILURE' $@
+	! $(CXX) $(CXXFLAGS) -c $< -o $<.o 2> $@.orig
+	grep 'error:' $@.orig |sed 's/.*error:/error:/' > $@
+	rm -f $@.orig
 
 test: $(TEST_BINARIES) test-asserts
+	@echo Running $@
 	mkdir -p unittest-output
 	rm -f unittest-output/*
 	./test-outputs
-	diff -qr unittest-output unittest-output-good
+	diff -r unittest-output-good unittest-output
 
 clean:
 	rm -f *.o
-	rm -f *.error.txt
+	rm -rf unittest-errors unittest-output
 	rm -f $(ALL_EXAMPLES) $(TEST_BINARIES)
 	# Windows compilation
 	rm -f *.exe *.obj
@@ -83,7 +105,8 @@
 	rm -f my_graph_*.png external_binary.dat external_binary.gnu external_text.dat external_text.gnu inline_binary.gnu inline_text.gnu
 
 lint:
-	cpplint.py --filter=-whitespace,-readability/streams,-build/header_guard gnuplot-iostream.h
+	cpplint.py --filter=-whitespace,-readability/streams,-build/header_guard,-build/include_order,-runtime/references *.h *.cc \
+		2>&1 |grep -v 'Include the directory when naming'
 
 cppcheck:
-	cppcheck *.cc *.h --template gcc --enable=all -q
+	cppcheck *.cc *.h --template gcc --enable=all -q --force --std=c++17

=== debian/changelog ===
gnuplot-iostream (0~20251226.git05843bd3-2) unstable; urgency=medium

  [ Matthias Klose ]
  * [41ed4cc] Fix linking the autopkg tests with boost 1.90. (Closes: #1127031)

  [ Anton Gladky ]
  * [20942ae] Set Standards-Version to 4.7.3, update d/control and copyright

 -- Anton Gladky <gladk@debian.org>  Wed, 18 Feb 2026 16:34:11 +0000

gnuplot-iostream (0~20251226.git05843bd3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [59cc7b6] Bump debhelper from old 12 to 13.
  * [c65b04c] Set debhelper-compat version in Build-Depends.
  * [5272085] Update standards version to 4.6.0, no changes needed.
  * [25cd0fb] Apply multi-arch hints. 
    + libgnuplot-iostream-doc: Add Multi-Arch: foreign.

  [ Alexandre Detiste ]
  * [2db77bc] fix Team name

  [ Anton Gladky ]
  * [6a90b1c] chore(ci): Add initial salsa-ci configuration
  * [3c57056] New upstream version 0~20251226.git05843bd3. (Closes: #1122419)
  * [f1a1981] Refresh patches
  * [f2be29f] refactor(debian): Cleanup debian/control and debian/install files

 -- Anton Gladky <gladk@debian.org>  Tue, 06 Jan 2026 21:38:29 +0100

gnuplot-iostream (0~20140302.gitc8919a0+dfsg-4) unstable; urgency=medium

  * [01b37a4] Fix typo in dependencies of the -dev-package. (Closes: #849895)
  * [e6bad53] Trim trailing whitespace.
  * [3edb567] Remove unnecessary 'Testsuite: autopkgtest' header.
  * [65b6d17] Use compat-level 12. Set Standards-Version: 4.3.0
  * [791e6ac] Add allow-stderr into autopkgtest
  * [a2196ba] Drop deprecated --parallel option

 -- Anton Gladky <gladk@debian.org>  Sun, 14 Jul 2019 17:17:16 +0200

gnuplot-iostream (0~20140302.gitc8919a0+dfsg-3) unstable; urgency=medium

  * [3bd2423] Drop blitz from build-depends. (Closes: #845046)
  * [974d177] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Thu, 29 Dec 2016 18:43:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: gnuplot-iostream
+Standards-Version: 4.7.3
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Anton Gladky <gladk@debian.org>,
 Section: libdevel
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:
- Anton Gladky <gladk@debian.org>
-Standards-Version: 3.9.5
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  gnuplot,
+ libblitz0-dev,
+ libeigen3-dev,
  libarmadillo-dev,
- libblitz-dev,
  libboost-filesystem-dev,
  libboost-iostreams-dev,
- libboost-system-dev
+ libboost-system-dev,
+Vcs-Browser: https://salsa.debian.org/science-team/gnuplot-iostream
+Vcs-Git: https://salsa.debian.org/science-team/gnuplot-iostream.git
 Homepage: http://www.stahlke.org/dan/gnuplot-iostream/
-XS-Testsuite: autopkgtest
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/gnuplot-iostream.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot-iostream.git
 
 Package: libgnuplot-iostream-dev
 Architecture: all
@@ -25,9 +25,9 @@
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-system-dev,
- ${misc:Depends}
+ ${misc:Depends},
 Suggests:
- gnuplot-iostream-doc
+ libgnuplot-iostream-doc,
 Description: C++ programming interface for gnuplot. Headers
  This interface allows gnuplot to be controlled from C++ and is designed to be
  the lowest hanging fruit. In other words, if you know how gnuplot works it
@@ -45,13 +45,12 @@
 
 Package: libgnuplot-iostream-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
 Suggests:
  cmake,
- gnuplot-iostream,
- libblitz0-dev
 Description: C++ programming interface for gnuplot. Docs and examples
  This interface allows gnuplot to be controlled from C++ and is designed to be
  the lowest hanging fruit. In other words, if you know how gnuplot works it
